InvalidVersionException (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins

## [Java] Class InvalidVersionException

- org.codehaus.groovy.grails.plugins.InvalidVersionException

- Throw when a specified version number is invalid.

  Authors:
    Graeme Rocher
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and description
    `InvalidVersionException ()`
    `InvalidVersionException (java.lang.String message)`
    `InvalidVersionException (java.lang.String message, java.lang.Throwable throwable)`
    `InvalidVersionException (java.lang.Throwable throwable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.RuntimeException` | `java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()`
    `class java.lang.Exception` | `java.lang.Exception#printStackTrace(), java.lang.Exception#printStackTrace(java.io.PrintWriter), java.lang.Exception#printStackTrace(java.io.PrintStream), java.lang.Exception#fillInStackTrace(), java.lang.Exception#getCause(), java.lang.Exception#initCause(java.lang.Throwable), java.lang.Exception#toString(), java.lang.Exception#getMessage(), java.lang.Exception#getLocalizedMessage(), java.lang.Exception#getStackTrace(), java.lang.Exception#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.Exception#addSuppressed(java.lang.Throwable), java.lang.Exception#getSuppressed(), java.lang.Exception#wait(long, int), java.lang.Exception#wait(long), java.lang.Exception#wait(), java.lang.Exception#equals(java.lang.Object), java.lang.Exception#hashCode(), java.lang.Exception#getClass(), java.lang.Exception#notify(), java.lang.Exception#notifyAll()`

- - ### Constructor Detail

    - #### public InvalidVersionException()

    - #### public InvalidVersionException(java.lang.String message)

    - #### public InvalidVersionException(java.lang.String message, java.lang.Throwable throwable)

    - #### public InvalidVersionException(java.lang.Throwable throwable)